org.keycloak.models.cache.infinispan.entities

## Class AbstractRevisioned

- java.lang.Object
- - org.keycloak.models.cache.infinispan.entities.AbstractRevisioned

- All Implemented Interfaces:
    Serializable, CachedObject, Revisioned
  Direct Known Subclasses:
    AbstractExtendableRevisioned, CachedClient, CachedClientScope, CachedFederatedIdentityLinks, CachedGroup, CachedPermissionTicket, CachedPolicy, CachedResource, CachedResourceServer, CachedRole, CachedScope, CachedUserConsents, ClientListQuery, ClientScopeListQuery, GroupListQuery, PermissionTicketListQuery, PolicyListQuery, RealmListQuery, ResourceListQuery, ResourceServerListQuery, RoleListQuery, ScopeListQuery, UserListQuery

      public class AbstractRevisioned
      extends Object
      implements Revisioned, Serializable, CachedObject

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRevisioned(Long revision, String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCacheTimestamp()` When was this cached
    `String` | `getId()`
    `Long` | `getRevision()`
    `void` | `setRevision(Long revision)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractRevisioned

          public AbstractRevisioned(Long revision,
                                    String id)

  - ### Method Detail

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `Revisioned`

    - #### getRevision

          public Long getRevision()

      Specified by:
        `getRevision` in interface `Revisioned`

    - #### setRevision

          public void setRevision(Long revision)

      Specified by:
        `setRevision` in interface `Revisioned`

    - #### getCacheTimestamp

          public long getCacheTimestamp()

      When was this cached
      Specified by:
        `getCacheTimestamp` in interface `CachedObject`
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.